org.apache.ignite.plugin.security

## Class SecurityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.plugin.security.SecurityException

All Implemented Interfaces:
  Serializable

    public class SecurityException
    extends IgniteException

Common security exception for the grid.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SecurityException(String msg)` Constructs security grid exception with given message.
`SecurityException(String msg, Throwable cause)` Constructs security grid exception with given message and cause.
`SecurityException(Throwable cause)` Creates new security grid exception given throwable as a cause and source of error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SecurityException

    public SecurityException(String msg,
                     @Nullable
                     Throwable cause)

Constructs security grid exception with given message and cause.

Parameters:
  `msg` - Exception message.
  `cause` - Exception cause.

#### SecurityException

    public SecurityException(Throwable cause)

Creates new security grid exception given throwable as a cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

#### SecurityException

    public SecurityException(String msg)

Constructs security grid exception with given message.

Parameters:
  `msg` - Exception message.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015